minexpert2 (9.6.0-1) unstable; urgency=low

  * Big new upstream version that new relies on shared libraries
    libxpertmass and libxpertmass-gui instead of having the two
    static libraries made inside the source tree.

    Thus, now depends on libxpertmass-dev (>= 1.0.0).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 22 Jul 2024 15:01:38 +0200

minexpert2 (9.5.0-1) unstable; urgency=low

  * Major bug fix and new features:
    - Fix bug in pappsomspp not reading correctly
      Bruker timsTOF data when restricting the m/z range.
    - Reworked the code about handling the MS run probing
      when loading Bruker timsTOF data files.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 31 May 2024 19:25:09 +0200

minexpert2 (9.4.1-1) unstable; urgency=low

  * Update dependency to new libpappsomspp version.
  * Added maintainer scripts to handle libmass and libmassgui code.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 21 May 2024 19:42:37 +0200

minexpert2 (9.4.0-1) unstable; urgency=low

  * Major work on network communications between mineXpert2 and massXpert2;
  * Now allow for the opening of Bruker BafAscii files (in full only);
  * Fixed missing proper XY mass data loading feature;
  * Really implement libmass and libmassgui source trees as git submodules;
  * Set proper color to widgets that need their parentship with a given
    sample to be clearly visible;
  * Added feature to capture on simple mouse click of the x or y axis value
    on a trace;
  * Implement a QSettings-based memory for the Savitzky-Golay filter parameters.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 16 May 2024 13:30:55 +0200

minexpert2 (9.3.2-1) UNRELEASED; urgency=low

  * Implemented provisions for Bruker timsTOF data that might have
    been integrated by flatteing IMS scans, thus having no
    ion mobility data anymore.

  * Implemented multi m/z XIC extractions.

  * Reworked fully the SelectionPolygon code into a new implementation named
    IntegrationScope.

  * Last fixes to the user manual build system.

  * Update dependency to libpappsomspp (version 0.9.24).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 07 Dec 2023 12:16:47 +0100

minexpert2 (9.3.1-1) unstable; urgency=low

  * New upstream version improving the probing of the Bruker timsTOF data
    prior to loading.

  * Documented new feature in the user manual.

  * Improved the user manual build to avoid copying the whole
    directory to the build directory.

  * libpappsomspp-dev (>= 0.9.20)

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 06 Dec 2023 13:02:17 +0100

minexpert2 (9.2.2-1) unstable; urgency=low

  * Fix bug: minexpert2: Fails to build source after successful build. Running
    dpkg-buildpackage; dpkg-buildpackage -S works flawlessly (Closes:
    #1046641). Thanks Lucas Nussbaum for reporting the bug.

  * Update dependency over libpappsomspp*.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 20 Nov 2023 18:12:24 +0100

minexpert2 (9.2.1-1) unstable; urgency=medium

  * Upstream release

    - a serious bug has been fixed (not removing mass spectra from the set to
    be integrated based on the DT range; commit
    df32744d79564f477c7f2358f7681adb5373cb59).

    - improvements to the GUI (added syntax-explanating tooltips to the mass
    spectral data table view filtering line edit widgets)

    - fixed small memory leaks

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 30 Jun 2023 10:51:55 +0200

minexpert2 (9.2.0-1) unstable; urgency=low

  * New upstream release with improvements in the way plots are exported
    as graphics files or as a clipboard object (SVG or RASTER).

  * Update dep lib version libpappsomspp-dev (>= 0.9.12).

  * Removed a bunch of dep pacakges versions.

  * Standards-Version: 4.6.2

  * Remove Conflicts: msxpertsuite-minexpert-data-doc and co.

  * Should fix the build failure (Closes: #1037777).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Jun 2023 16:56:43 +0200

minexpert2 (9.1.0-1) unstable; urgency=low

  * Version 9.0.0 was not published.
  * New upstream release with improvements.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 13 May 2023 19:37:17 +0200

minexpert2 (8.6.3-1) unstable; urgency=low

  * New upstream with a bunch of improvements in the feedback to the user mass
    spectrometry traces-wise (reporting of the mass delta, number of decimals
    increased for super-high-resolution instruments.).

  * Depend on new version of pappsomspp libs.

  * Fix deprecation error with new Qt version (Closes: #1031104). Thanks to
    Santiago Vila <sanvila@debian.org> for reporting it.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 12 Feb 2023 11:14:24 +0100

minexpert2 (8.6.2-2) unstable; urgency=low

  * Add Rules-Requires-Root to see if the dh_auto_test does not fail...

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 15 Dec 2022 10:57:51 +0100

minexpert2 (8.6.2-1) unstable; urgency=low

  * New upstream version with new libpappsomspp-dev dependency.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 14 Dec 2022 14:04:36 +0100

minexpert2 (8.6.1-1) unstable; urgency=low

  * Implemented loading of Bruker timsTOF data files with combination of all
    the mobility scans to a single spectrum for each frame.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Dec 2022 18:42:56 +0100

minexpert2 (8.6.0-1) unstable; urgency=low

  * New upstream version now built against the Qt6 libraries.

  * Standards-Version: 4.6.1 (routine update)

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Nov 2022 00:34:39 +0100

minexpert2 (8.5.3-1) unstable; urgency=low

  * New upstream release trying to fix the issue at
    https://gitlab.com/msxpertsuite/minexpert2/-/issues/6 pertaining
    to the color map data display in some Agilent files (thanks to Kevin
    Hooijschuur for the report during ASMS 2022).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 30 Aug 2022 16:30:12 +0200

minexpert2 (8.5.2-1) unstable; urgency=low

  * New upstream release fixing "old cruft" bug where an integration from a
    color map (with one m/z dimension) to a color map (having also an m/z
    dimension) would occur as before, with setDecimals(0) and NO_BINNING.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 12 Jul 2022 14:25:26 +0200

minexpert2 (8.5.1-1) unstable; urgency=low

  * Fix regression with the start of mass integrations.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2022 16:37:12 +0200

minexpert2 (8.5.0-2) unstable; urgency=low

  * Update dependency over libpappsomspp.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2022 14:15:03 +0200

minexpert2 (8.5.0-1) unstable; urgency=low

  * New upstream release fixes a bug in the handling of the color map plot pan
    when axes are locked.

  * Updated dependency on libpappsomspp version 0.8.54.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Jul 2022 20:09:24 +0200

minexpert2 (8.4.0-1) unstable; urgency=low

  * New upstream version that implements settable m/z resolution for the color
    map calculations when they involve m/z as one dimension (this feature was
    requested by Dr Valery Voinov of eMSion).

  * Update of the user manual to document the above new feature.

  * Depend on more recent version of libpappsomspp.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 29 Jun 2022 20:13:44 +0200

minexpert2 (8.3.0-1) unstable; urgency=low

  * Improve significantly the navigation in the plots (thanks to Kevin
    Hooijschuur for useful discussion in front of my poster at the ASMS
    conference). Fixes https://gitlab.com/msxpertsuite/minexpert2/-/issues/5.

  * Fix crash ocurring when showing back a previously plot window (thanks to
    Kevin Hooijschuur for the bug report). Fixes
    https://gitlab.com/msxpertsuite/minexpert2/-/issues/2.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 17 Jun 2022 11:57:08 +0200

minexpert2 (8.2.1-1) UNRELEASED; urgency=low

  * New version:

  * Better handle the cross-compilation in the MXE environment;
  * Ensure that the user manual is found in the AppImage bundle environment.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 24 Feb 2022 18:57:31 +0100

minexpert2 (8.2.0-1) unstable; urgency=low

  * New upstream version with a new low intensity threshold removal filter.

  * Updated the user manual.

  * Remove the docbook-mathml, libjeuclid-core-java, libjeuclid-fop-java,
    libjs-mathjax, fonts-mathjax, fonts-mathjax-extras, dependencies and add
    docbook-xml. That should fix the problem related to bug #994795.

  * Standards-Version: 4.6.0

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 19 Nov 2021 17:19:11 +0100

minexpert2 (8.1.1-1) unstable; urgency=low

  * New upstream release improving the setting of the low/high filtering
    configuration for color map data.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 26 Apr 2021 13:24:01 +0200

minexpert2 (8.1.0-1) unstable; urgency=low

  * New upstream version adding signal-to-noise ratio enhancement features for
    the color maps.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 21 Apr 2021 13:06:20 +0200

minexpert2 (8.0.3-1) unstable; urgency=low

  * New version with a reworked icon system based on svg files and not png
    ones.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 15 Apr 2021 16:56:48 +0200

minexpert2 (8.0.2-2) unstable; urgency=low

  * Build that depends on new ABI of pappsomspp libs.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 12 Apr 2021 21:48:05 +0200

minexpert2 (8.0.2-1) unstable; urgency=low

  * New version to build with libpappsomspp 0.8.23 that provides a workaround
    the failing tests on i386.

  * Other small changes.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 31 Mar 2021 15:00:05 +0200

minexpert2 (8.0.1-1) unstable; urgency=low

  * Fixes to the documentation (new figures with much more interesting data
    set to document the skewed selection polygon feature).

  * Provide the new bibliographic reference for citation in the Help dialog
    box.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 24 Mar 2021 11:20:13 +0100

minexpert2 (8.0.0-1) unstable; urgency=low

  * New major release with the skewed selection polygon feature.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 23 Mar 2021 16:49:24 +0100

minexpert2 (7.4.1-2) unstable; urgency=low

  * Update dependencies for libpappsomspp-dev (>= 0.8.18),
    libpappsomspp-widget-dev (>= 0.8.18).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 03 Mar 2021 09:24:56 +0100

minexpert2 (7.4.1-1) unstable; urgency=low

  * Fix glitch remaining for times where MzIntegrationParams belonged to this
    project (now in libpappsomspp).

  * Fix warning about casting int(0) to enum member.

  * Fix filenames of the STIX2 fonts used for the user manual. The bug was
    reported by Lucas Nussbaum <lucas@debian.org>. Thanks to Juhani Numminen
    <juhaninumminen0@gmail.com> and Dennis Filder <d.filder@web.de> for
    suggesting fixes (Closes: #982713).

  * Standards-Version: 4.5.1. No changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 20 Feb 2021 12:29:25 +0100

minexpert2 (7.4.0-1) unstable; urgency=low

  * New upstream version implementing features as a response to the article's
    reviewers' remarks.

  * Fix to the *.desktop file (localized Categories).

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 19 Dec 2020 08:20:02 +0100

minexpert2 (7.3.0-1) unstable; urgency=low

  * Closes: #973232 (I was waiting for libpappsomspp 0.8.8 to be in testing).

  * New feature to rescale the intensities of color maps to log10 so that
    invisible feature appear.

  * Updated the documentation to document the new feature.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 23 Oct 2020 13:37:46 +0200

minexpert2 (7.2.0-1) unstable; urgency=low

  * New feature to remove all the empty composite plot widgets in one go.

  * Improvements in the user experience (intuitive menu item ordering).

  * General overview of the shortcuts to all the commands.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 15 Oct 2020 09:08:23 +0200

minexpert2 (7.1.0-1) unstable; urgency=low

  *  New version fixing bugs with integration to MZ when starting from a XIC
     chromatogram obtained using the XIC computation dialog window.

  *  Minor update to the user manual revision history.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 12 Oct 2020 19:17:17 +0200

minexpert2 (7.0.1-1) unstable; urgency=low

  * Fix bug with ms level not recorded in the ProcessingFlow when integrating
    from the ms run data set table view.

  * Implement plus/minus combinations right into the combined plot widget.

  * Update the user manual according to the improvements above.

  * Remove unused xslt formatter stuff for xep.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Oct 2020 13:47:24 +0200

minexpert2 (7.0.0-1) unstable; urgency=low

  * First release of the MSn support.

  * Update of the user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 21 Sep 2020 17:40:56 +0200

minexpert2 (6.0.4-1) unstable; urgency=low

  * Add CMake-based support for Catch2.

  * Implemented a bunch of new tests.

  * Big fixes in the MS^n support code.

  * Fixes in d/copyright (was rejected by FTPMaster). Thanks to FTPMaster
    Thorsten Alteholz <ftpmaster@ftp-master.debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 15 Sep 2020 10:21:59 +0200

minexpert2 (6.0.3-1) unstable; urgency=low

  * Fix small bug with integration to RT from one color map type.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 28 Jul 2020 20:10:49 +0200

minexpert2 (6.0.2-1) UNRELEASED; urgency=low

  * Fixes to the mechanism that sets the user manual version number.  Now the
    user manual is easily accessed right from the AboutDlg dialog window.

  * Other fixes to the CMake build system, in particular the fact
    that the correct user manual version is accessed from the website.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 24 Jul 2020 14:28:53 +0200

minexpert2 (6.0.1-1) unstable; urgency=low

  * mineXpert2 is both a full rewrite of the previous mineXpert component of
    the msXpertSuite software package (that includes massXpert and mineXpert)
    and now corresponds to a separate package that will be shipped apart
    from the massXpert package.

  * The version number starts at 6.0.1.

  * I have conserved the package history below just for the record.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 22 Jul 2020 20:03:49 +0200

minexpert2 (6.0.0-1) UNRELEASED; urgency=low

  * mineXpert2 is both a full rewrite of the previous mineXpert component of
    the msXpertSuite software package (that includes massXpert and mineXpert)
    and now corresponds to a separate package that will be shipped apart
    from the massXpert package.

  * The version number starts at 6.0.0.

  * I have conserved the package history below just for the record.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 22 Jul 2020 19:12:56 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog minexpert2`.
